# $Revision: 1.32.2.6 $, $Date: 2005/10/28 07:07:49 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Time
%define		pnam	HiRes
Summary:	Time::HiRes - high resolution alarm, sleep, gettimeofday, interval timers
Summary(pl):	Time::HiRes - wysokiej rozdzielczoci funkcje alarm, sleep, gettimeofday i liczniki
Name:		perl-Time-HiRes
Version:	1.72
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6fb0576c7a7092fdf5d464943fd3b6e6
BuildRequires:	perl-devel >= 1:5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-112.1
# remove the line below if you *really* have newer version than one
# available in perl-modules
#BuildRequires:	this-must-be-newer-version-than-in-perl-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Time::HiRes - High resolution ualarm, usleep, and gettimeofday.

%description -l pl
Time::HiRes to interfejs Perla dla funkcji systemowych: ualarm, usleep
i gettimeofday.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=site
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_sitearch}/%{pdir}
%dir %{perl_sitearch}/auto/%{pdir}
%dir %{perl_sitearch}/auto/%{pdir}/%{pnam}
%{perl_sitearch}/auto/%{pdir}/%{pnam}/%{pnam}.bs
%attr(755,root,root) %{perl_sitearch}/auto/%{pdir}/%{pnam}/%{pnam}.so
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Time-HiRes.spec,v $
Revision 1.32.2.6  2005/10/28 07:07:49  hawk
- merged version 1.72 from HEAD
- adjusted for Ra, release 2

Revision 1.32.2.5  2004/03/20 11:17:47  twittner
- working source, md5

Revision 1.32.2.4  2003/09/09 11:12:58  ankry
- spaces -> tabs

Revision 1.32.2.3  2003/07/11 12:03:31  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.32.2.2  2003/04/10 21:09:11  ankry
- autoupdated to 1.45

Revision 1.32.2.1  2003/03/13 00:59:13  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.32  2003/02/24 20:31:59  radek
- use the __perl macro

Revision 1.31  2003/02/18 15:39:02  ankry
- massive attack: change CPAN URLs

Revision 1.30  2003/02/09 03:12:43  radek
- version 1.42

Revision 1.29  2002/10/18 01:30:35  ankry
- updated to 1.38

Revision 1.28  2002/09/29 10:37:57  radek
- version 1.37

Revision 1.27  2002/09/12 22:23:10  radek
- cosmetics

Revision 1.26  2002/09/12 22:21:24  radek
- version 1.36

Revision 1.25  2002/08/31 12:21:15  qboosh
- pl summary, release 2

Revision 1.24  2002/08/28 19:39:27  radek
- version 1.35, added informative summary

Revision 1.23  2002/07/18 13:51:04  ankry
- cleaning
- added %%{perl_sitearch}/Time
- release 10

Revision 1.22  2002/07/16 11:36:55  ankry
- translations, cleaning
- new %%doc
- release 9

Revision 1.21  2002/07/10 09:02:31  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:35:20  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:21:24  depesz
automatic: Source location unified, Relase Up

Revision 1.16  2002/02/10 15:37:15  depesz
adapterized

Revision 1.15  2002/01/18 02:14:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/05/02 21:51:25  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.13  2001/04/17 12:17:43  baggins
- release 6
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/01/25 21:50:01  kloczek
- release 5: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/12/18 22:58:38  kloczek
- release 4: use new rpm automation.

Revision 1.7  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 20:45:35  pius
- added '%%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- comsetics

Revision 1.1  1999/10/09 23:49:20  pius
- initial release
